Create a Job

Request Body Sample:

{
  "name": "Job A",
  "description": "Job A description",
  "street": "Street 1",
  "landmark": "",
  "state": "State 1",
  "city": "City 1",
  "zip_code": "00000",
  "country": "Country",
  "latitude": 26.013501,
  "longitude": -80.3136614,
  "track_mileage": 1,
  "radius": 100,
  "contact_required": 1,
  "contact_name": "Joe",
  "contact_phone": "123456",
  "contact_mobile": null,
  "contact_email": "[email protected]",
  "geofence_members": [],
  "users": [1,2]
}

Where:

  • name and track_mileage fields are required.
  • street, city, state, zip_code and country are required if require_geofence is true or 1 and latitude and longitude are not provided.
  • the radius must be numeric and in meters.
  • custom_fields contains values for custom fields where
    • Key (id): Represents the unique identifier of a custom field. In this case:6 and 7 are the IDs for the respective custom fields.
    • Value (value): Contains the actual value assigned to the custom field.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
Headers
string
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json